Subject: Re: [v3 2/2] dsa: mv88e6xxx: make serdes SGMII/Fiber output amplitude configurable

From: Marek Behún <[email-masked]>
Date: Thu, 20 Jan 2022 18:57:13 +0100

Hi Holger,

On Thu, 20 Jan 2022 07:52:01 +0000
Holger Brunck <[email-masked]> wrote:

> Hi Marek,
> 
> > >  
> > > > > This gets interesting when PCIe and USB needs to use this
> > > > > property, what names are used, and if it is possible to combine
> > > > > two different lists?  
> > > >
> > > > I don't think it is possible, I tried that once and couldn't get it to work.
> > > >
> > > > I am going to try write the proposal. But unfortunately PHY binding
> > > > is not converted to YAML yet :(
> > > >  
> > >
> > > I saw you recent patches to convert this. Thanks!
> > >
> > > This make my serdes.yaml obsolete then, correct? Should I then only
> > > re-post my driver code, once your patches are accepted?  
> > 
> > Yes, please let's do it this way. It may take some time for Rob to review this,
> > though, and he may require some changes.
> >   
> 
> I saw your v3 patch for the bindings and I would adapt then my patch
> accordingly to tx-p2p-microvolt. 
> 
> > Also I was thinking whether it wouldn't be better to put the property into a
> > separate SerDes PHY node, i.e.
> > 
> >   switch {
> >     compatible = "marvell,mv88e6085";
> >     ...
> > 
> >     ports {
> >       port@6 {
> >         reg = <0x6>;
> >         phy-handle = <&switch_serdes_phy>;
> >       };
> > 
> >       ...
> >     };
> > 
> >     mdio {
> >       switch_serdes_phy: ethernet-phy@f {
> >         reg = <0xf>;
> >         tx-amplitude-microvolt = <1234567>;
> >       };
> > 
> >       ...
> >     };
> >   };  
> 
> this would mean in regard to my patch instead of checking directly for the
> property in mv88e6xxx_setup_port  I would parse for the phy-handle first
> and then for the property? 
> 
> Should I wait until your patch is accepted and merged?

I don't know if Rob will be merging it, but we need to wait at least
for his review/acknowledgement. In the meantime you can prepare your
patch as RFC, though.

Also I want to add a function that will give you the voltage amplitude
given a node and a mode, i.e.

  fwnode_phy_get_tx_p2p_amplitude(fwnode, "1000base-x")